%define momorel 2
%define _bindir /bin
%define _libexecdir /sbin

Summary: A GNU archiving program.
Name: cpio
Version: 2.6
Release: %{momorel}m
License: GPL
Group: Applications/Archiving
URL: http://www.gnu.org/directory/cpio.html
%NoSource 0 ftp://ftp.ne.jp/GNU/cpio/cpio-%{version}.tar.bz2 25e0e8725bc60ed3460c9cde92752674
Patch0: http://www-124.ibm.com/linux/patches/i18n/cpio-2.6-i18n-0.1.patch
Patch1: cpio-2.6-rh.patch
Patch2: cpio-2.5-nolibnsl.patch
Patch3: cpio-2.6-lfs.patch
Patch4: cpio-2.6-lstat.patch
Patch5: cpio-2.6-umask.patch
Patch6: cpio-2.6-chmodRaceC.patch
Patch7: cpio-2.6-dirTraversal.patch
Patch8: cpio-2.6-warnings.patch

%ifos linux
Prereq: info, rmt
%else
Prereq: info
%endif
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
GNU cpio copies files into or out of a cpio or tar archive.  Archives
are files which contain a collection of other files plus information
about them, such as their file name, owner, timestamps, and access
permissions.  The archive can be another file on the disk, a magnetic
tape, or a pipe.  GNU cpio supports the following archive formats:  binary,
old ASCII, new ASCII, crc, HPUX binary, HPUX old ASCII, old tar and POSIX.1
tar.  By default, cpio creates binary format archives, so that they are
compatible with older cpio programs.  When it is extracting files from
archives, cpio automatically recognizes which kind of archive it is reading
and can read archives created on machines with a different byte-order.

Install cpio if you need a program to manage file archives.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
autoheader

%build
CFLAGS="%{optflags} -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -pedantic" %configure
%make

%install
rm -rf %{buildroot}
%makeinstall mandir=%{buildroot}%{_mandir}

rm -f %{buildroot}/bin/mt
rm -f %{buildroot}/usr/libexec/rmt
rm -f %{buildroot}%{_mandir}/man1/mt.1*
rm -f %{buildroot}%{_infodir}/dir
rm -f %{buildroot}/sbin/rmt


%clean
rm -rf %{buildroot}

%post
/sbin/install-info %{_infodir}/cpio.info %{_infodir}/dir

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/cpio.info %{_infodir}/dir
fi

%files
%defattr(644,root,root,755)
%doc README NEWS
%defattr(-,root,root)
%ifos linux
%{_bindir}/cpio
%{_mandir}/man1/cpio.1*
%else
%{_prefix}/bin/*
%{_mandir}/man*/*
%endif
%{_infodir}/cpio.*
%{_datadir}/locale/*/*/cpio.mo

%changelog
* Thu Jul 21 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (2.6-2m)
- [SECURITY] CAN-2005-1229, fix race condition 
- sync with FC cvs


* Mon Feb 21 2005 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.6-1m)
  update to 2.6(based fedora core dev.)

* Sat Feb 19 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.5-3m)
- revised docdir permission

* Tue Mar 15 2004 Toru Hoshina <t@momonga-linux.org>
- (2.5-2m)
- revised spec for enabling rpm 4.2.

* Mon Aug 04 2003 Hiroyuki KOGA <kuma@momonga-linux.org>
- (2.5-1m)
- update to 2.5

* Tue Apr 30 2002 Motonobu Ichimura <famao@kondara.org>
- (2.4.2-30k)
- add i18n patch from li18nux

* Mon Apr 29 2002 Kenta MURATA <muraken@kondara.org>
- (2.4.2-28k)
- "Requires: hoge" toka ha yame youyo

* Wed Feb 13 2002 Tsutomu Yasuda <tom@kondara.org>
- (2.4.2-26k)
- Source0 URL was fixed

* Fri Oct 12 2001 Masaru Sato <masachan@kondara.org>
- add URL tag

* Sat Dec 23 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.2-25k)
- modified about infodir with %{_infodir} macros

* Wed Oct 25 2000 MATSUDA, Daiki <dyky@df-usa.com>
- modifiled %post and %preun section from .gz to .bz2

* Tue Aug 22 2000 Kenichi Matsubara <m@kondara.org>
- Change PATH (FHS)

* Sun Apr 02 2000 Takaaki Tabuchi <tab@kondara.org>
- merge redhat-6.2 (2.4.2-16).

* Wed Mar 1 2000 Masako Hattori <maru@kondara.org>
- change jman mv->cp

* Wed Feb 23 2000 Masako Hattori <maru@kondara.org>
- do not shake %{_mandir}/ja

* Wed Feb  9 2000 Jeff Johnson <jbj@redhat.com>
- missing defattr.

* Mon Feb  7 2000 Bill Nottingham <notting@redhat.com>
- handle compressed manpages

* Mon Jan 31 2000 Masako Hattori <maru@kondara.org>
- add manpages-ja-20000115

* Fri Dec 17 1999 Jeff Johnson <jbj@redhat.com>
- revert the stdout patch (#3358), restoring original GNU cpio behavior
  (#6376, #7538), the patch was dumb.

* Wed Nov 24 1999 Tenkou N. Hattori <tnh@kondara.org>
- add manpages-ja

* Mon Nov 8 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Wed Nov 3 1999 Norihito Ohmori <nono@kondara.org>
- /usr/share/man -> /uar/man

* Sat Oct 16 1999 Norihito Ohmori <nono@kondara.org>
- add jman pages

* Tue Aug 31 1999 Jeff Johnson <jbj@redhat.com>
- fix infinite loop unpacking empty files with hard links (#4208).
- stdout should contain progress information (#3358).

* Sun Mar 21 1999 Crstian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 12)

* Sat Dec  5 1998 Jeff Johnson <jbj@redhat.com>
- longlong dev wrong with "-o -H odc" headers (formerly "-oc").

* Thu Dec 03 1998 Cristian Gafton <gafton@redhat.com>
- patch to compile on glibc 2.1, where strdup is a macro

* Tue Jul 14 1998 Jeff Johnson <jbj@redhat.com>
- Fiddle bindir/libexecdir to get RH install correct.
- Don't include /sbin/rmt -- use the rmt from dump package.
- Don't include /bin/mt -- use the mt from mt-st package.
- Add prereq's

* Tue Jun 30 1998 Jeff Johnson <jbj@redhat.com>
- fix '-c' to duplicate svr4 behavior (problem #438)
- install support programs & info pages

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Oct 17 1997 Donnie Barnes <djb@redhat.com>
- added BuildRoot
- removed "(used by RPM)" comment in Summary

* Thu Jun 19 1997 Erik Troan <ewt@redhat.com>
- built against glibc
- no longer statically linked as RPM doesn't use cpio for unpacking packages
